#
# For installing rpu applications in /lib/firmware
#

LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://LICENSE;md5=6566ea155948b5bb3076df5d8c78c0c9"

SRC_URI = " \
           file://LICENSE \
           file://data/r50_app \
           file://data/r51_app \
           "
FIRMWAREs = "${S}/data/r50_app \
	     ${S}/data/r51_app \
	"

S = "${WORKDIR}"

FILES_${PN} = "\
        /lib/firmware/r50_app\
        /lib/firmware/r51_app\
"

INSANE_SKIP_${PN} = "arch"

do_install () {
        install -d ${D}/lib/firmware
        for i in ${FIRMWAREs}; do
                dest=${D}/lib/firmware/$(basename $i)
                install -m 0644 $i ${dest}
        done
}

